Redmine - Defect #8534

Redmine fails to start
2011-06-05 17:03 - Parashar Mehta

Status: Closed Start date: 2011-06-05
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 0.8.4

Description

Hi,

Firstly, I'm not a Ruby or Rails expert so please forgive my ignorance :)

Our company has a very old version (0.8.4) of Redmine and occasionally it fails to start. With the error below:
=> Booting Mongrel (use 'script/server webrick' to force WEBFrick)

=> Rails 2.1.2 application starting on http://0.0.0.0:3000

=> Call with -d to detach
=> Ctrl-C to shutdown server

e Starting Mongrel listening at 0.0.0.0:3000
e Starting Rails with production environment...
Exiting
/opt/redmine/redmine-0.8.4/vendor/rails/activesupport/lib/active_support/core_ext/module/aliasing.rb:31:in
“alias_method': undefined method ‘initialize_schema_information' for module
"ActiveRecord::ConnectionAdapters::SchemaStatements’' (NameError)
from /opt/redmine/redmine-0.8.4/vendor/rails/activesupport/lib/active_support/core_ext/module/aliasing.rb:31:in
“alias_method_chain'
from /opt/redmine/redmine-0.8.4/vendor/plugins/rel_2.0.0/lib/engines/rails_extensions/migrations.rb:131:in “included’
from /opt/redmine/redmine-0.8.4/vendor/plugins/rel_2.0.0/lib/engines/rails_extensions/migrations.rb:131:in “class_eval'
from /opt/redmine/redmine-0.8.4/vendor/plugins/rel_2.0.0/lib/engines/rails_extensions/migrations.rb:131:in “included’
from /opt/redmine/redmine-0.8.4/vendor/plugins/rel_2.0.0/lib/engines/rails_extensions/migrations.rb:155:in “include’'
from /opt/redmine/redmine-0.8.4/vendor/plugins/rel_2.0.0/lib/engines/rails_extensions/migrations.rb:155
from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in "gem_original_require'
from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in “require’
from /opt/redmine/redmine-0.8.4/vendor/rails/activesupport/lib/active_support/dependencies.rb:510:in “require’
from /opt/redmine/redmine-0.8.4/vendor/rails/activesupport/lib/active_support/dependencies.rb:355:in "new_constants_in
from /opt/redmine/redmine-0.8.4/vendor/rails/activesupport/lib/active_support/dependencies.rb:510:in “require’
from /opt/redmine/redmine-0.8.4/config/../vendor/plugins/engines/lib/engines.rb:94:in “load_extensions'
from /opt/redmine/redmine-0.8.4/config/../vendor/plugins/engines/lib/engines.rb:94:in “each’
from /opt/redmine/redmine-0.8.4/config/../vendor/plugins/engines/lib/engines.rb:94:in “load_extensions'
from /opt/redmine/redmine-0.8.4/config/../vendor/plugins/engines/lib/engines.rb:85:in "init’
from /opt/redmine/redmine-0.8.4/vendor/plugins/rel_2.0.0/init.rb:1:in “evaluate_init_rb'
from ./script/../config/../vendor/rails/railties/lib/rails/plugin.rb:95:in “evaluate_init_rb'
from /opt/redmine/redmine-0.8.4/vendor/rails/activesupport/lib/active_support/core_ext/kernel/reporting.rb:11:in
“silence_warnings'
from ./script/../config/../vendor/rails/railties/lib/rails/plugin.rb:91:in “evaluate_init_rb’
from ./script/../config/../vendor/rails/railties/lib/rails/plugin.rb:44:in “load'
from /opt/redmine/redmine-0.8.4/config/../vendor/plugins/engines/lib/engines/plugin.rb:77:in “load'
from ./script/../config/../vendor/rails/railties/lib/rails/plugin/loader.rb:33:in “load_plugins'
from ./script/../config/../vendor/rails/railties/lib/rails/plugin/loader.rb:32:in “each'’
from ./script/../config/../vendor/rails/railties/lib/rails/plugin/loader.rb:32:in “load_plugins'
from ./script/../config/../vendor/rails/railties/lib/initializer.rb:292:in “load_plugins'
from ./script/../config/../vendor/rails/railties/lib/initializer.rb:142:in “process’
from ./script/../config/../vendor/rails/railties/lib/initializer.rb:97:in “send'
from ./script/../config/../vendor/rails/railties/lib/initializer.rb:97:in “run’
from /opt/redmine/redmine-0.8.4/config/environment.rb:20
from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in "gem_original_require'
from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in “require’
from /opt/redmine/redmine-0.8.4/vendor/rails/activesupport/lib/active_support/dependencies.rb:510:in “require’
from /opt/redmine/redmine-0.8.4/vendor/rails/activesupport/lib/active_support/dependencies.rb:355:in "new_constants_in
from /opt/redmine/redmine-0.8.4/vendor/rails/activesupport/lib/active_support/dependencies.rb:510:in “require’

from /ustr/lib/ruby/1.8/mongrel/rails.rb:147:in “rails'
from /usr/lib/ruby/1.8/mongrel_rails:114:in “cloaker_'
from /ustr/lib/ruby/1.8/mongrel/configurator.rb:149:in “call’

from /usr/lib/ruby/1.8/mongrel/configurator.rb:149:in listener'

from /ustr/lib/ruby/1.8/mongrel_rails:100:in “cloaker_'

from /ust/lib/ruby/1.8/mongrel/configurator.rb:50:in “call’

from /ust/lib/ruby/1.8/mongrel/configurator.rb:50:in “initialize'

from /ustr/lib/ruby/1.8/mongrel_rails:85:in “new'

from /ust/lib/ruby/1.8/mongrel_rails:85:in “run’

from /usr/lib/ruby/1.8/mongrel/command.rb:212:in “run’

from /usr/lib/ruby/1.8/mongrel_rails:282

from /opt/redmine/redmine-0.8.4/vendor/rails/activesupport/lib/active_support/dependencies.rb:503:in “load'

from /opt/redmine/redmine-0.8.4/vendor/rails/activesupport/lib/active_support/dependencies.rb:503:in “load'

from /opt/redmine/redmine-0.8.4/vendor/rails/activesupport/lib/active_support/dependencies.rb:355:in “new_constants_in
from /opt/redmine/redmine-0.8.4/vendor/rails/activesupport/lib/active_support/dependencies.rb:503:in “load'

from /opt/redmine/redmine-0.8.4/vendor/rails/railties/lib/commands/servers/mongrel.rb:64

from /ustr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in "gem_original_require'

from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in “require’

from /opt/redmine/redmine-0.8.4/vendor/rails/activesupport/lib/active_support/dependencies.rb:510:in “require’

from /opt/redmine/redmine-0.8.4/vendor/rails/activesupport/lib/active_support/dependencies.rb:355:in “new_constants_in
from /opt/redmine/redmine-0.8.4/vendor/rails/activesupport/lib/active_support/dependencies.rb:510:in “require’

from /opt/redmine/redmine-0.8.4/vendor/rails/railties/lib/commands/server.rb:39

from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in "gem_original_require'

from /ustr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:31:in “require’

from script/server:3

I've set RAILS_GEM_VERSION to 2.1.2 in config/environment.rb but when I run the server it fails with the above error. | get the
same error when | run script/about. Running script/console production produces the following error - though the console is usable
and | get expected values when outputting RAILS_ENV, RAILS_ROOT AND RAILS_GEMS_VERSION:

script/console production

Loading production environment (Rails 2.1.2)
/opt/redmine/redmine-0.8.4/vendor/rails/activesupport/lib/active_support/core_ext/module/aliasing.rb:31:in “alias_method':NameError:
undefined method “initialize_schema_information' for module "ActiveRecord::ConnectionAdapters::SchemaStatements'

FYI: | have put the redmine user in the www-data group as | was trying to get Redmine running through Apache + Passenger though
| get the same error thrown by Passenger when | tried to access Redmine through a domain name.

If 1 do rails -v at the command line, | get 2.3.8.
Freezing Rails doesn't work.

Any help and explanation you can give me to fix this annoying problem would be very much appreciated. Is there an easy way to
upgrade from 0.8.4 to the latest version (for a non ROR person)?

Thanks,

Parashar.

History

#1 - 2011-06-05 17:13 - Parashar Mehta

Sorry.. forgot to include gem list output:
e LOCAL GEMS ***

actionmailer (2.3.8, 2.3.5, 2.1.2)
actionpack (2.3.8, 2.3.5, 2.1.2)
activerecord (2.3.8, 2.3.5, 2.1.2)
activeresource (2.3.8,2.3.5,2.3.3, 2.1.2)
activesupport (2.3.8, 2.3.5, 2.3.3, 2.1.2)
builder (2.1.2)

crack (0.1.7)

daemon_controller (0.2.6)

fastthread (1.0.7)

hoptoad_notifier (2.2.6)
hpricot (0.8.2)

httparty (0.6.0)

json (1.4.3)

juggernaut (0.5.8)
mysql (2.8.1)
passenger (3.0.7)

rack (1.1.2, 1.0.1)

rails (2.3.8, 2.3.5, 2.1.2)
rake (0.8.7)

uuidtools (2.1.1)

Hopefully it helps form a clearer idea of what's wrong :)

#2 - 2011-06-05 20:10 - Ivan Cenov

You may get more help if post this at the Help forum : http:/www.redmine.org/projects/redmine/boards/2

#3 - 2011-06-13 00:02 - Jean-Baptiste Barth
- Status changed from New to Closed

- Assignee deleted (Jean-Philippe Lang)

- Priority changed from Urgent to Normal

- Resolution set to Invalid

We're sorry but we cannot support officially such old versions of Redmine. Until Redmine switches to bundler, you cannot have recent Rails versions
in your current ruby environment and expect everything to work smoothly. | encourage you to :

e uninstall rails 2.3.8 or isolate it from redmine's gems (with a tool like RVM for instance)
e upgrade to the latest stable (1.2.0) and tell us if you encounter such a bug.

Anyway, from what | see, the problem is totally due to your ruby environment and not redmine itself, so | mark it as "Invalid", no offense.

2025-05-05 3/3


http://www.redmine.org/projects/redmine/boards/2
https://rvm.beginrescueend.com/
http://www.tcpdf.org

